=== debian/changelog ===
ros-foxy-rclcpp-components (2.4.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rclcpp-components (2.4.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jul 2022 00:00:00 -0000

ros-foxy-rclcpp-components (2.4.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-rclcpp-components (2.4.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rclcpp-components (2.3.1-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1616 <https://github.com/ros2/rclcpp/issues/1616>)
  * Contributors: Simon Honigmann

 -- Michael Carroll <michael@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-rclcpp-components (2.3.0-1focal) focal; urgency=high

  * Update QD to QL 1 (#1480 <https://github.com/ros2/rclcpp/issues/1480>)
  * Add benchmarks for components (#1479 <https://github.com/ros2/rclcpp/issues/1479>)
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Scott K Logan, Stephen Brawner

 -- Michael Carroll <michael@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rclcpp-components (2.2.0-1focal) focal; urgency=high

  * Include original exception in ComponentManagerException (#1157 <https://github.com/ros2/rclcpp/issues/1157>) (#1223 <https://github.com/ros2/rclcpp/issues/1223>)
  * Contributors: Dereck Wonnacott

 -- Michael Carroll <michael@openrobotics.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-foxy-rclcpp-components (2.1.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 03 Aug 2020 00:00:00 -0000

ros-foxy-rclcpp-components (2.0.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-rclcpp-components (2.0.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rclcpp-components (2.0.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#1149 <https://github.com/ros2/rclcpp/issues/1149>)
  * Add Security Vulnerability Policy pointing to REP-2006 (#1130 <https://github.com/ros2/rclcpp/issues/1130>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rclcpp-components (1.1.0-1focal) focal; urgency=high

  * Improve documentation (#1106 <https://github.com/ros2/rclcpp/issues/1106>)
  * Fixed rep links and added more details to dependencies in quality declaration (#1116 <https://github.com/ros2/rclcpp/issues/1116>)
  * Added dockblock to ComponentManager class (#1102 <https://github.com/ros2/rclcpp/issues/1102>)
  * Update quality declaration to reflect version 1.0 (#1115 <https://github.com/ros2/rclcpp/issues/1115>)
  * Contributors: Alejandro Hernández Cordero, Stephen Brawner

 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-rclcpp-components (1.0.0-1focal) focal; urgency=high

  * Increasing test coverage of rclcpp_components (#1044 <https://github.com/ros2/rclcpp/issues/1044>)
    * Increasing test coverage of rclcpp_components
    Signed-off-by: Stephen Brawner <mailto:brawner@gmail.com>
    * PR fixup
    Signed-off-by: Stephen Brawner <mailto:brawner@gmail.com>
    * Fixup
    Signed-off-by: Stephen Brawner <mailto:brawner@gmail.com>
    * Removing throws test for now
    Signed-off-by: Stephen Brawner <mailto:brawner@gmail.com>
  * Contributors: brawner

 -- Michael Carroll <michael@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rclcpp-components (0.9.1-1focal) focal; urgency=high

  * Added Quality declaration: rclcpp, rclpp_action, rclcpp_components andrclcpp_lifecycle (#1100 <https://github.com/ros2/rclcpp/issues/1100>)
  * Contributors: Alejandro Hernández Cordero

 -- Michael Carroll <michael@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-rclcpp-components (0.9.0-1focal) focal; urgency=high

  * Added rclcpp_components Doxyfile (#1091 <https://github.com/ros2/rclcpp/issues/1091>)
  * Deprecate redundant namespaces (#1083 <https://github.com/ros2/rclcpp/issues/1083>)
  * Export targets in addition to include directories / libraries (#1088 <https://github.com/ros2/rclcpp/issues/1088>)
  * Export component manager (#1070 <https://github.com/ros2/rclcpp/issues/1070>)
  * Install the component_manager library (#1068 <https://github.com/ros2/rclcpp/issues/1068>)
  * Make Component Manager public (#1065 <https://github.com/ros2/rclcpp/issues/1065>)
  * Remove absolute path from installed CMake code (#948 <https://github.com/ros2/rclcpp/issues/948>)
  * Fix function docblock, check for unparsed arguments (#945 <https://github.com/ros2/rclcpp/issues/945>)
  * Contributors: Alejandro Hernández Cordero, DensoADAS, Dirk Thomas, Jacob Perron, Karsten Knese, Michael Carroll, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-foxy-rclcpp-components (0.8.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-foxy-rclcpp-components (0.8.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-rclcpp-components (0.8.1-1focal) focal; urgency=high

  * Enable intra-process comm via LoadNode request. (#871 <https://github.com/ros2/rclcpp/issues/871>)
  * Aggregate all component manager API tests. (#876 <https://github.com/ros2/rclcpp/issues/876>)
  * Contributors: Michel Hidalgo

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rclcpp-components (0.8.0-1focal) focal; urgency=high


