=== debian/control ===
Source: ros-foxy-rclcpp-components
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-google-benchmark <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-ros, ros-foxy-ament-index-cpp, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-class-loader, ros-foxy-composition-interfaces, ros-foxy-launch-testing <!nocheck>, ros-foxy-rclcpp, ros-foxy-rcpputils, ros-foxy-std-msgs <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rclcpp-components
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-index-cpp, ros-foxy-class-loader, ros-foxy-composition-interfaces, ros-foxy-rclcpp, ros-foxy-ros-workspace
Description: Package containing tools for dynamically loadable components
